Bug 55158 - Anaconda crashes when running /usr/bin/chfn during post-install.
Anaconda crashes when running /usr/bin/chfn during post-install.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-26 10:18 EDT by John E. Vincent
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-26 14:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John E. Vincent 2001-10-26 10:18:48 EDT
Description of Problem:

After attempting to install RedHat 7.2 on both a Toshiba 4300 laptop and a
Dell GX1 desktop in expert mode and normal choosing laptop, server, custom
or desktop installs, anaconda crashes during post-install configuration
when creating the user account added previously during install.

Version-Release number of selected component (if applicable):


How Reproducible:

Everytime I attempt an install

Steps to Reproduce:
1. Install Redhat linux 7.2 
2. Add a user at the time you enter your root password.
3. After installing all the packages and running post install
configuration, anaconda crashes.

Actual Results:
Anaconda crashes with the following traceback:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 55, in writeConfiguration
    id.write(instPath)
  File "/usr/lib/anaconda/instdata.py", line 103, in write
    self.accounts.write (instPath, self.auth)
  File "/usr/lib/anaconda/users.py", line 57, in write
    stdout = None)
  File "/usr/lib/anaconda/iutil.py", line 61, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/bin/chfn can not be run

Local variables in innermost frame:
argv: ['/usr/bin/chfn', '-f', 'Normal User Account', 'tester']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 31
stderr: 2
command: /usr/bin/chfn
searchPath: 0
ignoreTermSigs: 0


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 1
Laptop Support: 0
Spelling: 0
GNOME: 1
KDE: 1
Sound and Multimedia Support: 1
Network Support: 1
Dialup Support: 1
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 0
DNS Name Server: 0
Network Managed Workstation: 0
Authoring and Publishing: 0
Emacs: 0
Utilities: 0
Legacy Application Support: 0
Software Development: 1
Kernel Development: 0
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 1
Server: 0
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 0, Canna-libs: 0, Distutils: 0,
ElectricFence:
 0, FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 0, FreeWnn-libs: 0,
GConf: 1,
 GConf-devel: 1, Gtk-Perl: 0, Guppi: 0, Guppi-devel: 0, ImageMagick: 1,
 ImageMagick-c++: 0, ImageMagick-c++-devel: 0, ImageMagick-devel: 0,
 ImageMagick-perl: 0, LPRng: 1, MAKEDEV: 1, Maelstrom: 0, MagicPoint: 0,
Mesa:
 1, Mesa-demos: 0, Mesa-devel: 1, MyODBC: 0, MySQL-python: 0, ORBit: 1,
 ORBit-devel: 1, PyQt: 0, PyQt-devel: 0, PyQt-examples: 0, PyXML: 1, SDL:
1,
 SDL-devel: 0, SDL_image: 1, SDL_image-devel: 0, SDL_mixer: 1,
SDL_mixer-devel:
 0, SDL_net: 1, SDL_net-devel: 0, SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 0,
 VFlib2-devel: 1, WindowMaker: 0, WindowMaker-libs: 0, Wnn6-SDK: 0,
 Wnn6-SDK-devel: 0, XFree86: 1, XFree86-100dpi-fonts: 1, XFree86-3DLabs: 0,
 XFree86-75dpi-fonts: 1, XFree86-8514: 0, XFree86-AGX: 0, XFree86-FBDev: 0,
 XFree86-ISO8859-15-100dpi-fonts: 1, XFree86-ISO8859-15-75dpi-fonts: 1,
 XFree86-ISO8859-2-100dpi-fonts: 0, XFree86-ISO8859-2-75dpi-fonts: 0,
 XFree86-ISO8859-7: 0, XFree86-ISO8859-7-100dpi-fonts: 0,
 XFree86-ISO8859-7-75dpi-fonts: 0, XFree86-ISO8859-7-Type1-fonts: 0,
 XFree86-ISO8859-9-100dpi-fonts: 0, XFree86-ISO8859-9-75dpi-fonts: 0,
 XFree86-KOI8-R: 0, XFree86-KOI8-R-100dpi-fonts: 0,
XFree86-KOI8-R-75dpi-fonts:
 0, XFree86-Mach32: 0, XFree86-Mach64: 0, XFree86-Mach8: 0, XFree86-Mono:
0,
 XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V: 0, XFree86-SVGA: 0,
 XFree86-VGA16: 0, XFree86-W32: 0, XFree86-Xnest: 0, XFree86-Xvfb: 0,
 XFree86-compat-libs: 0, XFree86-compat-modules: 0, XFree86-cyrillic-fonts:
0,
 XFree86-devel: 1, XFree86-doc: 0, XFree86-jpfonts: 0, XFree86-libs: 1,
 XFree86-tools: 1, XFree86-twm: 1, XFree86-xdm: 1, XFree86-xf86cfg: 0,
 XFree86-xfs: 1, Xaw3d: 1, Xaw3d-devel: 1, Xconfi

Expected Results:

RedHat 7.2 installs succesfully.

Additional Information:
	
Will attempt a 6th reinstall without adding a user account to see if
problem is resolved. The option to save the crash to a floppy is a
wonderful addition that made reporting the bug painless.
Comment 1 Brent Fox 2001-10-26 11:41:02 EDT
I suspect that something is wrong with your cds.  Did you verify the md5sums of
the ISOs before you burned them?
Comment 2 John E. Vincent 2001-10-26 13:22:28 EDT
I did not verify them. I actually DID redownload the second disk last night but 
not the first one. I've just finished burning completely new downloads and am 
installing right now. Unfortunatly I'm on a Windows setup at the office and 
don't have any easy way to verify them right now. I'll just see how this 
downloaded set works and if it does, i'll chock it up to corrupt downloads.
Comment 3 Brent Fox 2001-10-26 14:43:15 EDT
Well, the /usr/bin/chfn binary is a part of the util-linux package, which is on
the first cd.  If the cds are damaged somehow, the problem is probably on the
first cd.
Comment 4 Brent Fox 2001-11-05 10:08:16 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.